com.pixelmed.dicom

## Class AttributeTreeBrowser

- java.lang.Object
- - com.pixelmed.dicom.AttributeTreeBrowser

    public class AttributeTreeBrowser
    extends java.lang.Object

The `AttributeTreeBrowser` class implements a Swing graphical user interface to browse the contents of an `AttributeTree`.

A main() method is provided for testing and as a utility that reads a DICOM file as a list of attributes and displays them.

### Constructor Summary

Constructors
Constructor and Description
`AttributeTreeBrowser(AttributeList list, javax.swing.JScrollPane treeBrowserScrollPane)` Build and display a graphical user interface view of a tree of attributes.

### Method Summary

Methods
`static void` `main(java.lang.String[] arg)` For testing.
`static void` `setSortByName(javax.swing.JScrollPane treeBrowserScrollPane, boolean sortByName)` Set the sort order to be alphabetical by attribute name, or numerical by group and element tag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttributeTreeBrowser

    public AttributeTreeBrowser(AttributeList list,
                        javax.swing.JScrollPane treeBrowserScrollPane)
                         throws DicomException

Build and display a graphical user interface view of a tree of attributes.

Implicitly builds a tree from the attribute list.

Parameters:
  `list` - the list whose attributes to browse
  `treeBrowserScrollPane` - the scrolling pane in which the tree view of the attributes will be rendered
Throws:
  `DicomException`

### Method Detail

#### setSortByName

    public static void setSortByName(javax.swing.JScrollPane treeBrowserScrollPane,
                     boolean sortByName)

Set the sort order to be alphabetical by attribute name, or numerical by group and element tag.

Parameters:
  `treeBrowserScrollPane` - the scroll pane containing the tree
  `sortByName` - true if sort alphabetically by attribute name

#### main

    public static void main(java.lang.String[] arg)

For testing.

Displays a tree browser built from the attributes in the file named on the command line.

Parameters:
  `arg` -